Skip to content
GET /unified/accounting/contacts/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

contact_typestring

The type of the contact

Possible values:
customervendor
4 supported4 required
Microsoft Dynamics 365 Business Central
required
Oracle Netsuite
required
QuickBooks
required
Wave
required
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

idstring
required·

The unique identifier for the contact

8 supported
Brightpearl
supported
Coupa
supported
Microsoft Dynamics 365 Business Central
supported
Oracle Netsuite
supported
QuickBooks
supported
Wave
supported
Xero
supported
Zoho Books
supported
addressesobject[]

The addresses of the contact

8 supported
Brightpearl
supported
Coupa
supported
Microsoft Dynamics 365 Business Central
supported
Oracle Netsuite
supported
QuickBooks
supported
Wave
supported
Xero
supported
Zoho Books
supported
citystring

The city of the contact

countrystring

The country of the contact

idstring

The unique identifier for address

postal_codestring

The postal code of the contact

statestring

The state of the contact

street_1string

The street 1 address of the contact

street_2string

The street 2 address of the contact

typestring

The type of the address

companystring

The ID of company the contact belongs to

References: CompanyInfo → id
3 supported
Brightpearl
supported
Oracle Netsuite
supported
Zoho Books
supported
created_atstring · date-time

This represents the date when the contact was created

7 supported
Brightpearl
supported
Coupa
supported
Oracle Netsuite
supported
QuickBooks
supported
Wave
supported
Xero
supported
Zoho Books
supported
currencystring

The currency of the contact

7 supported
Brightpearl
supported
Microsoft Dynamics 365 Business Central
supported
Oracle Netsuite
supported
QuickBooks
supported
Wave
supported
Xero
supported
Zoho Books
supported
emailsobject[]

The emails of the contact

8 supported
Brightpearl
supported
Coupa
supported
Microsoft Dynamics 365 Business Central
supported
Oracle Netsuite
supported
QuickBooks
supported
Wave
supported
Xero
supported
Zoho Books
supported
emailstring

The email of the contact

typestring

The type of the email

namestring

The name of the contact

8 supported
Brightpearl
supported
Coupa
supported
Microsoft Dynamics 365 Business Central
supported
Oracle Netsuite
supported
QuickBooks
supported
Wave
supported
Xero
supported
Zoho Books
supported
phonesobject[]

The phone numbers of the contact

7 supported
Brightpearl
supported
Microsoft Dynamics 365 Business Central
supported
Oracle Netsuite
supported
QuickBooks
supported
Wave
supported
Xero
supported
Zoho Books
supported
extensionstring

The extension of the phone number

numberstring

The phone number of the contact

typestring

The type of the phone number

remote_dataRecord<string, any>

Raw data returned from the remote API call.

statusstring

The status of the contact

Possible values:
activearchived
7 supported
Brightpearl
supported
Coupa
supported
Oracle Netsuite
supported
QuickBooks
supported
Wave
supported
Xero
supported
Zoho Books
supported
tax_numberstring

The tax number of the contact

5 supported
Coupa
supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
Xero
supported
Zoho Books
supported
typestring

The type of the contact

Possible values:
customervendor
8 supported
Brightpearl
supported
Coupa
supported
Microsoft Dynamics 365 Business Central
supported
Oracle Netsuite
supported
QuickBooks
supported
Wave
supported
Xero
supported
Zoho Books
supported
updated_atstring · date-time

This represents the date when the contact was updated

8 supported
Brightpearl
supported
Coupa
supported
Microsoft Dynamics 365 Business Central
supported
Oracle Netsuite
supported
QuickBooks
supported
Wave
supported
Xero
supported
Zoho Books
supported
curl -X GET 'https://api.truto.one/unified/accounting/contacts/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/accounting/contacts/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/accounting/contacts/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'accounting',
  'contacts',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "accounting",
        "contacts",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())